import mods.create.PressingManager;
import mods.create.DeployerApplicationManager;
import mods.create.FillingManager;
import mods.createtweaker.FluidIngredient;
import mods.create.SequencedAssemblyManager;
import mods.create.MechanicalCrafterManager;
import crafttweaker.api.tag.MCTag;

//Gun Recipes

//Grenade Launcher
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("grenade_launcher")
     .transitionTo(<item:cgm:grenade_launcher>.withTag({AmmoCount: 0, Color: 15170646}))
     .require(<item:minecraft:netherite_block>)
     .loops(1)
     .addOutput(<item:cgm:grenade_launcher>.withTag({AmmoCount: 0, Color: 15170646, display: {Name: "[{\"text\":\"Grenade Launcher\",\"italic\":false,\"color\":\"yellow\"}]"}}), 50)
     .addOutput(<item:minecraft:air>, 50)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:copper_sheet>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:flint_and_steel>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:mechanical_pump>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:fluid_pipe>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:fluid_pipe>)));

//Grenade
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("grenade")
     .transitionTo(<item:cgm:grenade>)
     .require(<item:kubejs:netherite_sheet>)
     .loops(1)
     .addOutput(<item:cgm:grenade>, 80)
     .addOutput(<item:minecraft:netherite_scrap>, 5)
     .addOutput(<item:minecraft:netherite_scrap>*2, 5)
     .addOutput(<item:minecraft:gunpowder>, 3)
     .addOutput(<item:minecraft:gunpowder>*2, 2)
     .addOutput(<item:minecraft:iron_nugget> * 5, 3)
     .addOutput(<item:kubejs:netherite_sheet>, 2)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:gunpowder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:netherite_scrap>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:alloyed:steel_nugget>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:netherite_scrap>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:gunpowder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createaddition:iron_rod>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:chain>)));

//Flash Grenade
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("flash_grenade")
     .transitionTo(<item:cgm:stun_grenade>)
     .require(<item:kubejs:netherite_sheet>)
     .loops(1)
     .addOutput(<item:cgm:stun_grenade>, 70)
     .addOutput(<item:minecraft:air>, 30)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:gunpowder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:glowstone_dust>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:glow_ink_sac>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:glowstone_dust>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:gunpowder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:redstone>)));

//Flintlock
craftingTable.remove(<item:musketmod:pistol>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("flintlock_pistol")
     .transitionTo(<item:kubejs:unassembled_pistol>)
     .require(<tag:items:minecraft:wooden_slabs>)
     .loops(1)
     .addOutput(<item:musketmod:pistol>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:alloyed:steel_sheet>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:alloyed:steel_nugget>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:flint_and_steel>)));

//Musket
craftingTable.remove(<item:musketmod:musket>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("musket")
     .transitionTo(<item:kubejs:unassembled_musket>)
     .require(<item:alloyed:steel_block>)
     .loops(1)
     .addOutput(<item:musketmod:musket>, 1)
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<tag:items:minecraft:wooden_slabs>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:alloyed:steel_nugget>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:flint_and_steel>)));

//Paper Cartridge
craftingTable.remove(<item:musketmod:cartridge>);
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("paper_cartridge")
     .transitionTo(<item:kubejs:unassembled_paper_cartridge>)
     .require(<item:minecraft:paper>)
     .loops(1)
     .addOutput(<item:musketmod:cartridge>, 1)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:black_powder>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:brass_nugget>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:brass_nugget>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:brass_nugget>)));

//Missle
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("missle")
     .transitionTo(<item:cgm:missile>)
     .require(<item:kubejs:netherite_sheet>)
     .loops(1)
     .addOutput(<item:cgm:missile>*1, 75)
     .addOutput(<item:minecraft:air>*1, 25)
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:propeller>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:precision_mechanism>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:tnt>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:tnt>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:synergized_matter>)));

//Bazooka
<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("Bazooka")
     .transitionTo(<item:cgm:bazooka>)
     .require(<item:minecraft:netherite_block>)
     .loops(1)
     .addOutput(<item:cgm:bazooka>.withTag({AmmoCount: 0, display: {Lore: ["[{\"text\":\"KABOOM\",\"italic\":false,\"color\":\"white\"}]"], Name: "[{\"text\":\"Bazooka\",\"italic\":false,\"color\":\"light_purple\"}]"}})*1, 70)
     .addOutput(<item:minecraft:air>*1, 30)
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:alloyed:steel_block>))
     .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:kubejs:synergized_matter>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:lever>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:mechanical_pump>))
     .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:create:chute>)));